ResolveReport
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.report
Class ResolveReport

    java.lang.Object
      org.apache.ivy.core.report.ResolveReport

    public class ResolveReport

extends java.lang.Object

Represents a whole resolution report for a module

Constructor Summary
`ResolveReport(ModuleDescriptor md)`
`ResolveReport(ModuleDescriptor md, java.lang.String resolveId)`

Method Summary
`void` | `addReport(java.lang.String conf, ConfigurationResolveReport report)`
`void` | `checkIfChanged()`
`ArtifactDownloadReport[]` | `getAllArtifactsReports()` Get every report on the download requests.
`java.util.List` | `getAllProblemMessages()`
`java.util.List` | `getArtifacts()` Returns the list of all artifacts which should be downloaded per this resolve To know if the artifact have actually been downloaded use information found in ConfigurationResolveReport.
`ArtifactDownloadReport[]` | `getArtifactsReports(DownloadStatus downloadStatus, boolean withEvicted)` Get the report on the download requests.
`ArtifactDownloadReport[]` | `getArtifactsReports(ModuleRevisionId mrid)`
`ConfigurationResolveReport` | `getConfigurationReport(java.lang.String conf)`
`java.lang.String[]` | `getConfigurations()`
`java.util.List` | `getDependencies()` Returns the list of all dependencies concerned by this report as a List of IvyNode ordered from the more dependent to the least one
`long` | `getDownloadSize()` The total size of downloaded artifacts, in bytes.
`long` | `getDownloadTime()`
`IvyNode[]` | `getEvictedNodes()`
`ArtifactDownloadReport[]` | `getFailedArtifactsReports()` Get every report on the download requests.
`ModuleDescriptor` | `getModuleDescriptor()`
`java.util.List` | `getModuleIds()` gives all the modules ids concerned by this report, from the most dependent to the least one
`java.util.List` | `getProblemMessages()`
`java.lang.String` | `getResolveId()`
`long` | `getResolveTime()`
`IvyNode[]` | `getUnresolvedDependencies()`
`boolean` | `hasChanged()` Can only be called if checkIfChanged has been called
`boolean` | `hasError()`
`void` | `output(ReportOutputter[] outputters, ResolutionCacheManager cacheMgr, ResolveOptions options)`
`void` | `setDependencies(java.util.List dependencies, Filter artifactFilter)`
`void` | `setDownloadSize(long size)`
`void` | `setDownloadTime(long elapsedTime)`
`void` | `setProblemMessages(java.util.List problems)`
`void` | `setResolveTime(long elapsedTime)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResolveReport

    public ResolveReport(ModuleDescriptor md)

### ResolveReport

    public ResolveReport(ModuleDescriptor md,
                         java.lang.String resolveId)

Method Detail

### addReport

    public void addReport(java.lang.String conf,
                          ConfigurationResolveReport report)

### getConfigurationReport

    public ConfigurationResolveReport getConfigurationReport(java.lang.String conf)

### getConfigurations

    public java.lang.String[] getConfigurations()

### hasError

    public boolean hasError()

### output

    public void output(ReportOutputter[] outputters,
                       ResolutionCacheManager cacheMgr,
                       ResolveOptions options)
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### getModuleDescriptor

    public ModuleDescriptor getModuleDescriptor()

### getEvictedNodes

    public IvyNode[] getEvictedNodes()

### getUnresolvedDependencies

    public IvyNode[] getUnresolvedDependencies()

### getFailedArtifactsReports

    public ArtifactDownloadReport[] getFailedArtifactsReports()

  Get every report on the download requests.

  Returns:
    the list of reports, never `null`

### getAllArtifactsReports

    public ArtifactDownloadReport[] getAllArtifactsReports()

  Get every report on the download requests.

  Returns:
    the list of reports, never `null`

### getArtifactsReports

    public ArtifactDownloadReport[] getArtifactsReports(DownloadStatus downloadStatus,
                                                        boolean withEvicted)

  Get the report on the download requests. The list of download report can be restricted to a specific download status, and also remove the download report for the evicted modules.

  Parameters:
    `downloadStatus` - the status of download to retreive. Set it to `null` for no restriction on the download status
    `withEvicted` - set it to `true` if the report for the evicted modules have to be retrieved, `false` to exclude reports from modules evicted in all configurations.
  Returns:
    the list of reports, never `null`
  See Also:
    `ConfigurationResolveReport.getArtifactsReports(DownloadStatus, boolean)`

### getArtifactsReports

    public ArtifactDownloadReport[] getArtifactsReports(ModuleRevisionId mrid)

### checkIfChanged

    public void checkIfChanged()

### hasChanged

    public boolean hasChanged()

  Can only be called if checkIfChanged has been called

### setProblemMessages

    public void setProblemMessages(java.util.List problems)

### getProblemMessages

    public java.util.List getProblemMessages()

### getAllProblemMessages

    public java.util.List getAllProblemMessages()

### setDependencies

    public void setDependencies(java.util.List dependencies,
                                Filter artifactFilter)

### getDependencies

    public java.util.List getDependencies()

  Returns the list of all dependencies concerned by this report as a List of IvyNode ordered from the more dependent to the least one

  Returns:
    The list of all dependencies.

### getArtifacts

    public java.util.List getArtifacts()

  Returns the list of all artifacts which should be downloaded per this resolve To know if the artifact have actually been downloaded use information found in ConfigurationResolveReport.

  Returns:
    The list of all artifacts.

### getModuleIds

    public java.util.List getModuleIds()

  gives all the modules ids concerned by this report, from the most dependent to the least one

  Returns:
    a list of ModuleId

### setResolveTime

    public void setResolveTime(long elapsedTime)

### getResolveTime

    public long getResolveTime()

### setDownloadTime

    public void setDownloadTime(long elapsedTime)

### getDownloadTime

    public long getDownloadTime()

### setDownloadSize

    public void setDownloadSize(long size)

### getDownloadSize

    public long getDownloadSize()

  The total size of downloaded artifacts, in bytes.

  This only includes artifacts actually downloaded to cache (DownloadStatus.SUCCESSFUL), and not artifacts already in cache or used at their original location.

  Returns:
    The total size of downloaded artifacts, in bytes.

### getResolveId

    public java.lang.String getResolveId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD